#
# spec file for package WindowMaker (Version 0.65.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf hermes hermes-devel libPropList libPropList-devel libjpeg libpng libtiff libungif xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip hermes hermes-devel kbd less libPropList libPropList-devel libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         WindowMaker
Copyright:    GPL
Group:        X11/Window Managers
URL:          http://www.windowmaker.org
Obsoletes:    wmaker 
Provides:     wmaker windowmanager
Autoreqprov:  on
Summary:      A colourful and flexible window manager
Version:      0.65.1
Release:      40
Source: WindowMaker-%{version}.tar.bz2
Source1: WindowMaker-extra-0.1.tar.bz2
#Patch: WindowMaker-keyboard.patch
Patch1: WindowMaker-config.dif
Patch2: WindowMaker-menu.patch
Patch3: WindowMaker-ia64.patch
Patch4: WindowMaker-WPrefs.patch
Patch5: WindowMaker-xpm.patch
Patch6: WindowMaker-wsetfont.patch
BuildRoot:    /var/tmp/%{name}-build
%package devel
Requires:     WindowMaker
Summary:      Includes and static libraries for WindowMaker
Group:        Development/Libraries

%description
WindowMaker is a colorful and flexible window manager and the
designated successor of AfterStep.
Especially the "themes" make it very interesting.
For more details, check http://wmaker.themes.org.
To use it, just place the following line in your ~/.bashrc:
export WINDOWMANAGER=windowmaker
Documentation in:
/usr/share/doc/packages/wmaker

Authors:
--------
    Alfredo K. Kojima <kojima@windowmaker.org>

SuSE series: xwm


%description devel
Includes and static libraries for WindowMaker.

Authors:
--------
    Alfredo K. Kojima <kojima@windowmaker.org>

SuSE series: xwm

%prep
%setup -n WindowMaker-%{version} -a 1
mkdir menu.orig
cp WindowMaker/{menu.*,plmenu.*} menu.orig
#%patch
%patch1
%patch3
%patch4
#%patch5
%patch2
%patch6 -p1
(cd WindowMaker; rm -f *.orig; ./mkMakefile )
# ---------------------------------------------------------------------------

%build
%{?suse_update_config:%{suse_update_config -f}}
automake 
export LINGUAS="cs de da el es fi fr gl hr it ja ko nl no pl pt ro ru sv sk tr"
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
            --exec-prefix=/usr/X11R6 \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --enable-sound \
	    --enable-gnome \
	    --enable-kde \
            --enable-kanji \
            --with-nlsdir=/usr/share/locale \
            --with-pixmapdir=/usr/X11R6/share/WindowMaker/Pixmaps
(cd WindowMaker/Defaults; make clean; make)
make 
(cd WindowMaker-extra-0.1
./configure --prefix=/usr/X11R6 \
            --exec-prefix=/usr/X11R6 \
            --with-pixmapdir=/usr/X11R6/share/WindowMaker/Pixmaps
make
)
# ---------------------------------------------------------------------------

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install-strip
install -m 755 dockit $RPM_BUILD_ROOT/usr/X11R6/bin/dockit
install -m 755 windowmaker $RPM_BUILD_ROOT/usr/X11R6/bin/windowmaker
cd WindowMaker-extra-0.1
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/WindowMaker/SuSE

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /etc/WindowMaker
%config /etc/WindowMaker/W*
%dir /etc/WindowMaker/SuSE
/usr/X11R6/GNUstep
/usr/X11R6/bin/*
/usr/X11R6/lib/*.so.*
/usr/X11R6/lib/*.la
%doc %{_mandir}/man1/*
/usr/X11R6/share/WINGs
/usr/X11R6/share/WindowMaker
/usr/share/locale/*/*/*
%doc AUTHORS BUGFORM BUGS COPYING COPYING.WTFPL ChangeLog FAQ FAQ.I18N
%doc MIRRORS NEWS README README.GNOME README.KDE TODO
%doc menu.orig

%files devel
%defattr(-,root,root)
/usr/X11R6/include/*
/usr/X11R6/lib/*.a
/usr/X11R6/lib/*.so

%changelog -n WindowMaker
* Sun Sep 16 2001 - mfabian@suse.de
- fix wsetfont script for Japanese and Korean
* Thu Jul 26 2001 - nadvornik@suse.cz
- update to 0.65.1
* Wed Jun 06 2001 - nadvornik@suse.cz
- updated to 0.65.0
- compiled with hermes
* Thu Apr 26 2001 - nadvornik@suse.cz
- fixed problems with saving icons
* Tue Apr 24 2001 - nadvornik@suse.cz
- fixed segfault in WPrefs
* Thu Apr 19 2001 - nadvornik@suse.cz
- fixes for ia64
* Fri Apr 06 2001 - nadvornik@suse.cz
- better integration of menus generated by susewm
* Thu Mar 29 2001 - nadvornik@suse.cz
- fixed bug in keyboard handling
- used RPM_OPT_FLAGS
* Tue Mar 13 2001 - nadvornik@suse.cz
- created devel subpackage
* Mon Feb 26 2001 - nadvornik@suse.cz
- update to 0.64.0
* Fri Jan 26 2001 - nadvornik@suse.cz
- update to 0.63.1
* Fri Dec 15 2000 - nadvornik@suse.cz
- added paths for package icons
* Thu Nov 23 2000 - nadvornik@suse.cz
- added Provides: wmaker windowmanager
- removed Requires: wterm
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Oct 10 2000 - nadvornik@suse.cz
- fixed list of doc files
* Mon Oct 02 2000 - nadvornik@suse.cz
- fixed start script
- used bzip2
* Mon Aug 14 2000 - nadvornik@suse.cz
- fixed bug in shutdown.c
* Fri Aug 11 2000 - nadvornik@suse.cz
- fixed bug in menu.c
* Thu Jul 27 2000 - nadvornik@suse.cz
- "EXEC SAVE_WORKSPACE" replaced with "SAVE_SESSION" in menu
  (bug #3640)
* Tue May 09 2000 - nadvornik@suse.cz
- update to 0.62.1
* Wed May 03 2000 - nadvornik@suse.cz
- build with i18n support
* Fri Apr 21 2000 - nadvornik@suse.cz
- added BuildRoot
* Mon Apr 10 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - choeger@suse.de
- added mandir
* Tue Feb 29 2000 - choeger@suse.de
- added wterm to requires
* Mon Oct 25 1999 - ro@suse.de
- switched to libungif
* Tue Oct 19 1999 - choeger@suse.de
- new version, 0.61.1
* Tue Sep 28 1999 - choeger@suse.de
- added KDE-Support
* Thu Sep 23 1999 - choeger@suse.de
- new version
* Mon Sep 20 1999 - ro@suse.de
- added provides windowmanager
* Tue Sep 14 1999 - ro@suse.de
- finally removed libproplist-files from filelist
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 19 1999 - choeger@suse.de
- removed proplist from source archives and
  using the already present version of SuSE Dist.
* Fri Jul 16 1999 - choeger@suse.de
- add script windowmaker
- changed wmaker.inst not to touch .xinitrc
* Tue Jul 06 1999 - choeger@suse.de
- added GNOME-Support (--enable-gnome)
* Wed Apr 28 1999 - choeger@suse.de
- new version 0.53.0
* Tue Mar 23 1999 - choeger@suse.de
- bugfix for spec-file (make clean in the Default-Config-Dir)
* Thu Mar 11 1999 - choeger@suse.de
- new version 0.51.1
* Tue Jan 19 1999 - choeger@suse.de
- actual version 0.50.2
* Mon Dec 21 1998 - choeger@suse.de
- actual version 0.20.3
* Thu Jul 09 1998 - ro@suse.de
- removed doc/libproplist/COPYING.LIB (simply doesn't exist)
* Wed Jul 01 1998 - maddin@suse.de
- first S.u.S.E. version 0.15.1
- changed configure so it works right for libPropList
- moved documentation
- /usr/X11R6/lib/X11/WindowMaker used as wm's home
- made wrapper script for wmaker, called windowmaker so user's
  files are updated correctly
